nl.tudelft.simulation.dsol.tutorial.section42

## Class Warehouse42Model

- java.lang.Object
- - nl.tudelft.simulation.dsol.tutorial.section42.Warehouse42Model

All Implemented Interfaces:
  Serializable, DSOLModel<Double,Double,SimTimeDouble>, DSOLModel.TimeDouble

    public class Warehouse42Model
    extends Object
    implements DSOLModel.TimeDouble

A BoatModel
copyright (c) 2002-2018 Delft University of Technology , the Netherlands.
See for project information www.simulation.tudelft.nl
License of use: Lesser General Public License (LGPL) , no warranty.

Version:
  1.0 Dec 8, 2003
Author:
  Peter Jacobs
See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from interface nl.tudelft.simulation.dsol.DSOLModel

`DSOLModel.CalendarDouble, DSOLModel.CalendarFloat, DSOLModel.CalendarLong, DSOLModel.TimeDouble, DSOLModel.TimeDoubleUnit, DSOLModel.TimeFloat, DSOLModel.TimeFloatUnit, DSOLModel.TimeLong`

### Field Summary

Fields
`(package private) Persistent<Double,Double,SimTimeDouble>` `backlog` backlog statistic.
`(package private) Persistent<Double,Double,SimTimeDouble>` `inventory` inventory statistic.
`(package private) Tally<Double,Double,SimTimeDouble>` `orderingCosts` ordering costs statistic.

### Constructor Summary

Constructors
Constructor and Description
`Warehouse42Model()` constructs a new BoatModel.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `constructModel(SimulatorInterface<Double,Double,SimTimeDouble> devsSimulator)`
`SimulatorInterface.TimeDouble` `getSimulator()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### orderingCosts

    Tally<Double,Double,SimTimeDouble> orderingCosts

ordering costs statistic.

#### inventory

    Persistent<Double,Double,SimTimeDouble> inventory

inventory statistic.

#### backlog

    Persistent<Double,Double,SimTimeDouble> backlog

backlog statistic.

### Constructor Detail

#### Warehouse42Model

    public Warehouse42Model()

constructs a new BoatModel.

### Method Detail

#### constructModel

    public final void constructModel(SimulatorInterface<Double,Double,SimTimeDouble> devsSimulator)
                              throws SimRuntimeException

Specified by:
  `constructModel` in interface `DSOLModel<Double,Double,SimTimeDouble>`
Throws:
  `SimRuntimeException`

#### getSimulator

    public final SimulatorInterface.TimeDouble getSimulator()

Specified by:
  `getSimulator` in interface `DSOLModel<Double,Double,SimTimeDouble>`